Emgmbh\InvoiceBundle\Entity\Invoice:
    type: entity
    repositoryClass: InvoiceRepository
    table: invoice
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY
    fields:
        date:
            type: date
            nullable: false
        number:
            type: integer
            nullable: false
            options:
                unsigned: true
        type:
            type: smallint
            nullable: false
        amount:
            type: float
            nullable: false
        amountReceived:
            type: float
            nullable: false
            options:
                default: '0.00'
        data:
            type: json_array
            nullable: false

    manyToOne:
        manager:
            targetEntity: Emgmbh\UserBundle\Entity\Manager
            cascade: {  }
            fetch: EAGER
            mappedBy: null
            inversedBy: null
            orphanRemoval: false

        payer:
            targetEntity: Emgmbh\InvoiceBundle\Entity\Payer
            joinColumns:
                payer_number:
                    referencedColumnName: number
            cascade: {  }
            fetch: EAGER
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
    lifecycleCallbacks: {  }
